cups in current

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
conraid
Staff
Staff
Messaggi: 12973
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

cups in current

Messaggioda conraid » lun apr 27, 2015 11:01

Da stamani, dopo l'ultimo aggiornamento di cups, quando stampo la pagina di prova mi da

Codice: Seleziona tutto

Il formato "application/vnd.cups-banner" non è supportato.

ho provato a fare il downgrade, ma da lo stesso errore, ho modificato il file mime.types come suggerito in un forum, ma idem.
Ieri non dava problemi :/
Qualcuno ha qualche idea?

Ho una HP che usa hplip, può essere questo?

rik70
Master
Master
Messaggi: 1801
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: 4.0.x-smp
Desktop: Xfce 4.12

Re: cups in current

Messaggioda rik70 » lun apr 27, 2015 11:24

Provato a disinstallare la stampante da cups e reinstallarla?

Avatar utente
conraid
Staff
Staff
Messaggi: 12973
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: cups in current

Messaggioda conraid » lun apr 27, 2015 11:34

Sì, ed anche a cambiare driver, cioè passare da hpcups a hpijs, ma niente

Avatar utente
conraid
Staff
Staff
Messaggi: 12973
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: cups in current

Messaggioda conraid » lun apr 27, 2015 13:52

Tanto per fare una prova ho anche aggiornato hplip all'ultima versione, ho reinstallato il tutto con hp-setup, ma l'errore continua.
Da hplip però la pagina di prova la stampa, l'errore è solo con cups-banner (https://www.cups.org/documentation.php/ ... anner.html), a questo punto è solo curiosità la mia, nel capire cosa sia cambiato da ieri :-/

Avatar utente
targzeta
Iper Master
Iper Master
Messaggi: 6477
Iscritto il: gio nov 03, 2005 14:05
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM
Località: Carpignano Sal. (LE) <-> Pisa

Re: cups in current

Messaggioda targzeta » lun apr 27, 2015 15:22

Io anche quando stampo dei pdf mi da lo stesso problema:

Codice: Seleziona tutto

lpr-cups test.pdf
lpr-cups: Il formato del documento "application/pdf" non è supportato.

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà 

Avatar utente
conraid
Staff
Staff
Messaggi: 12973
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: cups in current

Messaggioda conraid » lun apr 27, 2015 15:35

a me no, il pdf mi va tranquillmente senza errori anche da linea di comando con il comando che hai messo tu.

Avatar utente
targzeta
Iper Master
Iper Master
Messaggi: 6477
Iscritto il: gio nov 03, 2005 14:05
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM
Località: Carpignano Sal. (LE) <-> Pisa

Re: cups in current

Messaggioda targzeta » mar apr 28, 2015 9:28

Ho risolto installando il pacchetto cups-filters :)

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà 

Avatar utente
conraid
Staff
Staff
Messaggi: 12973
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: cups in current

Messaggioda conraid » mer apr 29, 2015 15:52

Anche io, cups reinstalla alcuni file di cups-filter, con header diverso. Ho mandato segnalazione a Pat, vediamo che dice.

Avatar utente
targzeta
Iper Master
Iper Master
Messaggi: 6477
Iscritto il: gio nov 03, 2005 14:05
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM
Località: Carpignano Sal. (LE) <-> Pisa

Re: cups in current

Messaggioda targzeta » mer apr 29, 2015 19:00

Io ho dovuto installare anche il pacchetto qpdf.

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà 

Avatar utente
conraid
Staff
Staff
Messaggi: 12973
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: cups in current

Messaggioda conraid » gio apr 30, 2015 8:11

targzeta ha scritto:Io ho dovuto installare anche il pacchetto qpdf.


Reinstallare o installare? Perché era già tra i pacchetti aggiunti nel changelog corposo.

Avatar utente
targzeta
Iper Master
Iper Master
Messaggi: 6477
Iscritto il: gio nov 03, 2005 14:05
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM
Località: Carpignano Sal. (LE) <-> Pisa

Re: cups in current

Messaggioda targzeta » gio apr 30, 2015 18:50

Installare, io non l'avevo installato.

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà 

Avatar utente
414N
Iper Master
Iper Master
Messaggi: 2895
Iscritto il: mer feb 13, 2008 16:19
Slackware: 14.2
Kernel: 4.4.19
Desktop: KDE4
Località: Bulagna
Contatta:

Re: cups in current

Messaggioda 414N » dom mag 03, 2015 16:30

Io ho dovuto pure spostare il filtro foomatic-tip-hplip ed usare lo standard foomatic-rip con un link simbolico, altrimenti la mia stampante HP non stampava più alcunché...

Avatar utente
conraid
Staff
Staff
Messaggi: 12973
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: cups in current

Messaggioda conraid » mar mag 05, 2015 8:06

con l'ultimo aggiornamento ha risolto tutto, pdf, banner e foomatic

Avatar utente
targzeta
Iper Master
Iper Master
Messaggi: 6477
Iscritto il: gio nov 03, 2005 14:05
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM
Località: Carpignano Sal. (LE) <-> Pisa

Re: cups in current

Messaggioda targzeta » mar mag 05, 2015 19:03

Ho visto :)

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà